Make WordPress Core

Changeset 26944


Ignore:
Timestamp:
01/14/2014 09:55:41 PM (10 years ago)
Author:
nacin
Message:

Test framework: Override PHPMailer during installation.

props bpetty.
fixes #26836.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/tests/phpunit/includes/install.php

    r26095 r26944  
    2222require_once ABSPATH . '/wp-admin/includes/upgrade.php';
    2323require_once ABSPATH . '/wp-includes/wp-db.php';
     24
     25// Override the PHPMailer
     26global $phpmailer;
     27require_once( dirname( __FILE__ ) . '/mock-mailer.php' );
     28$phpmailer = new MockPHPMailer();
    2429
    2530$wpdb->query( 'SET storage_engine = INNODB' );
Note: See TracChangeset for help on using the changeset viewer.